	*******************************************************
	****    M-1 Tank Platoon ingame - Custom Module,   ****
	**** all adaptions by Gaelan Griffin & Wanted Team ****
	*******************************************************

	incdir	"dh2:include/"
	include 'misc/eagleplayer2.01.i'

	SECTION Player,Code_C

M1_Start
	PLAYERHEADER PlayerTagArray

	dc.b	"$VER: M-1 Tank Platoon ingame - Custom Module,",10
	dc.b	'adapted by Gaelan Griffin & Don Adan/Wanted Team',0
	even

PlayerTagArray
	dc.l	DTP_CustomPlayer,1
	dc.l	DTP_PlayerName,PlayerName
	dc.l	DTP_Interrupt,Interrupt
	dc.l	DTP_InitPlayer,InitPlayer
	dc.l	DTP_EndPlayer,EndPlayer
	dc.l	DTP_InitSound,InitSound
	dc.l	DTP_EndSound,EndSound
	dc.l	DTP_SubSongRange,SubSongRange
	dc.l	EP_Get_ModuleInfo,Get_ModuleInfo
	dc.l	TAG_DONE
PlayerName
	dc.b	"CustomPlay",0
Text
	dc.b	10
	dc.b	"          M1 Tank Platoon",10
	dc.b	"          Version 849.01",10
	dc.b	10
	dc.b	"            Designed by",10
	dc.b	"          Arnold Hendrick",10
	dc.b	"          Scott Spanburg",10
	dc.b	"          Amiga Version by",10
	dc.b	"            Joe Hellesen",10
	dc.b	"               Art by",10
	dc.b	"         Max Remington III",10
	dc.b	"         Sound and Music by",10
	dc.b	"             Ken Lagace",10
	dc.b	"        Quality Assurance by",10
	dc.b	"           Chris Taormino",10
	dc.b	"             Diane Baile",10
	dc.b	10
	dc.b	"   (C) 1990 MicroProse Software, Inc.",0
	even

ExecBase
	dc.l	0				; for GG
Timer
	dc.w	0

***************************************************************************
***************************** DTP_SubSongRange ****************************
***************************************************************************

SubSongRange
	moveq	#1,D0
	moveq	#15,D1
	rts

***************************************************************************
***************************** EP_Get_ModuleInfo ***************************
***************************************************************************

Get_ModuleInfo
	lea	InfoBuffer(PC),A0
	rts

InfoBuffer
	dc.l	MI_SpecialInfo,Text
	dc.l	MI_LoadSize,M1_End-M1_Start
	dc.l	0

***************************************************************************
***************************** DTP_InitPlayer ******************************
***************************************************************************

InitPlayer
	move.l	4.W,ExecBase
	bsr.w	InitPlay
	tst.w	InDone
	bne.b	InOK
	moveq	#EPR_CantAllocAudio,D0
	rts
InOK
	moveq	#0,D0
	rts

InDone
	dc.w	0

***************************************************************************
***************************** DTP_EndPlayer *******************************
***************************************************************************

EndPlayer
	bsr.w	EndPlay
	moveq	#0,D0
	rts

***************************************************************************
****************************** DTP_Interrupt ******************************
***************************************************************************

Interrupt
	movem.l	D1-A6,-(SP)

	bsr.w	Play

	movem.l	(SP)+,D1-A6
	moveq	#0,D0
	rts

***************************************************************************
***************************** DTP_InitSound *******************************
***************************************************************************

InitSound
	move.w	Timer(PC),D0
	bne.b	Done
	move.w	dtg_Timer(A5),D0
	mulu.w	#5,D0
	divu.w	#6,D0			; 60 Hz
	lea	Timer(PC),A0
	move.w	D0,(A0)
Done	move.w	D0,dtg_Timer(A5)
	bsr.w	Init_1
	clr.w	-(SP)
	move.w	dtg_SndNum(A5),-(SP)
	bsr.w	Init_2
	addq.w	#4,SP
	rts

***************************************************************************
***************************** DTP_EndSound ********************************
***************************************************************************

EndSound
	bsr.w	End
	rts

***************************************************************************
***************************************************************************
***************************************************************************

; Ingame music from "M-1 Tank Platoon" (c) 1990 by MicroProse

lbC00D6B8	MOVEM.L	A3/A6,-(SP)
	MOVEA.L	12(SP),A3
	TST.L	10(A3)
	BEQ.S	lbC00D6D0
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$168(A6)
lbC00D6D0	MOVE.B	#$FF,8(A3)
	MOVEQ	#-1,D0
	MOVE.L	D0,$14(A3)
	MOVEQ	#0,D0
	MOVE.B	15(A3),D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$150(A6)
;	MOVEA.L	A3,A1
;	MOVEQ	#$22,D0
;	JSR	-$D2(A6)
	MOVEM.L	(SP)+,A3/A6
	RTS


lbC00D804	MOVEM.L	D6/D7/A2/A3/A6,-(SP)
	MOVEA.L	$18(SP),A3
	MOVE.L	$1C(SP),D7
	MOVEQ	#-1,D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$14A(A6)
	MOVE.L	D0,D6
	CMPI.B	#$FF,D6
	BNE.S	lbC00D826
	MOVEQ	#0,D0
	BRA.S	lbC00D88C

lbC00D826
;	MOVEQ	#$22,D0
;	MOVE.L	#$10001,D1
;	JSR	-$C6(A6)
;	MOVEA.L	D0,A2
;	MOVE.L	A2,D0
;	BNE.S	lbC00D842
;	MOVEQ	#0,D0
;	MOVE.B	D6,D0
;	JSR	-$150(A6)
;	BRA.S	lbC00D88A

lbC00D842	MOVE.L	A3,10(A2)
	MOVE.L	D7,D0
	MOVE.B	D0,9(A2)
	MOVE.B	#4,8(A2)
	CLR.B	14(A2)
	MOVE.B	D6,15(A2)
	SUBA.L	A1,A1
	JSR	-$126(A6)
	MOVE.L	D0,$10(A2)
	MOVE.L	A3,D0
	BEQ.S	lbC00D870
	MOVEA.L	A2,A1
	JSR	-$162(A6)
	BRA.S	lbC00D88A

lbC00D870	LEA	$18(A2),A0
	MOVE.L	A0,$14(A2)
	LEA	$14(A2),A0
	MOVE.L	A0,$1C(A2)
	CLR.L	$18(A2)
	MOVE.B	#2,$20(A2)
lbC00D88A	MOVE.L	A2,D0
lbC00D88C	MOVEM.L	(SP)+,D6/D7/A2/A3/A6
	RTS


;	SECTION	game03FA7C,CODE
lbC03FA7C	MOVEA.L	4(SP),A1
	MOVE.L	A6,-(SP)
	MOVEA.L	$14(A1),A6
	JSR	-$1E(A6)
	MOVEA.L	(SP)+,A6
	RTS


;	SECTION	game00F7BC,CODE
lbC00F7BC	LINK.W	A5,#-8
	MOVEM.L	D2/D7/A2/A3/A6,-(SP)
;	MOVE.L	#$330,D0
;	MOVE.L	#$10001,D1
;	MOVEA.L	4,A6
;	JSR	-$C6(A6)
;	MOVE.L	D0,lbL00FC32
;	BNE.S	lbC00F7EA
;	MOVEQ	#1,D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC00F9BE
;	ADDQ.W	#2,SP
lbC00F7EA	MOVEQ	#0,D7
lbC00F7EC	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC00F83E
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FC36,A0
	ADDA.L	D1,A0
	MOVE.L	D7,D0
	MOVEQ	#$44,D2
	MULS.W	D2,D0
	MOVEA.L	lbL00FC32,A1
	MOVEA.L	A1,A2
	ADDA.L	D0,A2
	MOVE.L	A2,(A0)
	LEA	lbL00FC46,A0
	ADDA.L	D1,A0
	MOVE.L	D7,D0
	MULS.W	D2,D0
	MOVEA.L	lbL00FC32,A1
	ADDA.L	D0,A1
	LEA	$110(A1),A2
	MOVE.L	A2,(A0)
	LEA	lbL00FC56,A0
	ADDA.L	D1,A0
	LEA	$220(A1),A2
	MOVE.L	A2,(A0)
	ADDQ.W	#1,D7
	BRA.S	lbC00F7EC

lbC00F83E	MOVEA.L	lbL00FC32,A0
	MOVE.B	#$7F,9(A0)
	CLR.L	-(SP)
	PEA	A0.MSG

	lea	Buffy1(PC),A2

	JSR	lbC00FBE0(PC)
	ADDQ.W	#8,SP
	MOVEA.L	lbL00FC32,A0
	MOVE.L	D0,14(A0)
	TST.L	D0
	BNE.S	lbC00F870
	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00F9BE
	ADDQ.W	#2,SP
lbC00F870	MOVEA.L	lbL00FC32,A0
	MOVE.L	#lbW00FBF4,$22(A0)
	MOVEQ	#1,D0
	MOVEA.L	lbL00FC32,A0
	MOVE.L	D0,$26(A0)
	LEA	audiodevice.MSG,A0
	MOVEQ	#0,D0
	MOVEA.L	lbL00FC32,A1
	MOVE.L	D0,D1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6
	move.w	#1,InDone

	JSR	-$1BC(A6)
	MOVE.W	D0,lbW00FC30
	BEQ.S	lbC00F8B4

	clr.w	InDone

	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00F9BE
	ADDQ.W	#2,SP
lbC00F8B4	MOVEQ	#0,D7

	lea	Buffy2(PC),A4

lbC00F8B6	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.L	lbC00F9B6
	MOVEA.L	lbL00FC32,A3
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FC56,A0
	MOVEA.L	A0,A1
	ADDA.L	D1,A1
	MOVEA.L	(A1),A2
	MOVEA.L	A3,A1
	MOVEQ	#$10,D0
lbC00F8DA	MOVE.L	(A1)+,(A2)+
	DBRA	D0,lbC00F8DA
	LEA	lbL00FC36,A1
	MOVEA.L	A1,A2
	ADDA.L	D1,A2
	MOVEA.L	(A2),A6
	MOVEA.L	A3,A2
	MOVEQ	#$10,D0
lbC00F8F0	MOVE.L	(A2)+,(A6)+
	DBRA	D0,lbC00F8F0
	LEA	lbL00FC46,A2
	MOVEA.L	A2,A6
	ADDA.L	D1,A6
	MOVEA.L	(A6),A6
	MOVE.L	A6,$18(SP)
	MOVEA.L	A3,A6
	MOVEA.L	$18(SP),A2
	MOVEQ	#$10,D0
lbC00F90E	MOVE.L	(A6)+,(A2)+
	DBRA	D0,lbC00F90E
	ADDA.L	D1,A0
	MOVEA.L	(A0),A3
	MOVEQ	#1,D0
	MOVE.B	D0,$1E(A3)
	MOVE.W	#8,$1C(A3)
	ADDA.L	D1,A1
	MOVEA.L	(A1),A3
	MOVE.B	D0,$1E(A3)
	MOVE.W	#12,$1C(A3)
	LEA	lbL00FC46,A0
	ADDA.L	D1,A0
	MOVEA.L	(A0),A1
	LEA	lbL00FC0E,A0
	ADDA.L	D1,A0
	CLR.L	-(SP)
	MOVE.L	(A0),-(SP)
	MOVE.L	A1,$20(SP)

	move.l	A4,A2

	JSR	lbC00FBE0(PC)

	lea	$22(A4),A4

	ADDQ.W	#8,SP
	MOVEA.L	$18(SP),A0
	MOVE.L	D0,14(A0)
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC46,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	TST.L	14(A1)
	BNE.S	lbC00F97A
	MOVEQ	#4,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00F9BE
	ADDQ.W	#2,SP
lbC00F97A	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC46,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.W	#3,$1C(A3)
	MOVE.B	#$11,$1E(A3)
	CLR.W	$2E(A3)
	MOVE.L	D7,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW00FBF6,A0
	ADDA.L	D0,A0
	MOVE.W	(A0),D0
	EXT.L	D0
	MOVE.L	D0,$18(A3)
	ADDQ.W	#1,D7
	BRA.L	lbC00F8B6

lbC00F9B6	MOVEM.L	(SP)+,D2/D7/A2/A3/A6
	UNLK	A5
	RTS

lbC00F9BE	MOVEM.L	D6/D7/A2,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.L	D7,D0
	CMPI.W	#6,D0
	BCC.S	lbC00FA48
	ADD.W	D0,D0
	MOVE.W	lbW00F9D8(PC,D0.W),D0
	JMP	lbW00F9DA(PC,D0.W)

lbW00F9D8	dc.w	lbC00F9E4-lbW00F9DA
lbW00F9DA	dc.w	lbC00FA48-lbW00F9DA
	dc.w	lbC00FA34-lbW00F9DA
	dc.w	lbC00FA24-lbW00F9DA
	dc.w	lbC00F9E4-lbW00F9DA
	dc.w	lbC00F9E4-lbW00F9DA

lbC00F9E4	MOVEQ	#0,D6
lbC00F9E6	MOVEQ	#4,D0
	CMP.W	D0,D6
	BGE.S	lbC00FA16
	MOVE.L	D6,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FC46,A0
	MOVEA.L	A0,A1
	ADDA.L	D1,A1
	MOVEA.L	(A1),A2
	TST.L	14(A2)
	BEQ.S	lbC00FA12
	ADDA.L	D1,A0
	MOVEA.L	(A0),A1
	MOVE.L	14(A1),-(SP)
	JSR	lbC00FBE6(PC)
	ADDQ.W	#4,SP
lbC00FA12	ADDQ.W	#1,D6
	BRA.S	lbC00F9E6

lbC00FA16	MOVEA.L	lbL00FC32,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1C2(A6)
lbC00FA24	MOVEA.L	lbL00FC32,A0
	MOVE.L	14(A0),-(SP)
	JSR	lbC00FBE6(PC)
	ADDQ.W	#4,SP
lbC00FA34
;	MOVEA.L	lbL00FC32,A1
;	MOVE.L	#$330,D0
;	MOVEA.L	4,A6
;	JSR	-$D2(A6)
lbC00FA48
;	TST.W	D7
;	BEQ.S	lbC00FA50
;	MOVEQ	#1,D0
;	BRA.S	lbC00FA52

lbC00FA50	MOVEQ	#0,D0
lbC00FA52	MOVEM.L	(SP)+,D6/D7/A2
	RTS

lbC00FA58	MOVEM.L	D5-D7/A3,-(SP)
	MOVE.W	$14(SP),D7
	MOVE.W	$16(SP),D6
	MOVE.W	$18(SP),D5
	MOVE.L	D5,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC36,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.L	D5,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW00FBF6,A0
	ADDA.L	D0,A0
	MOVE.W	(A0),D0
	EXT.L	D0
	MOVE.L	D0,$18(A3)
	MOVE.W	D7,$2A(A3)
	MOVE.W	D6,$2C(A3)
	MOVE.B	#1,$1E(A3)
	MOVE.L	A3,-(SP)
	JSR	lbC00FBEC(PC)
	ADDQ.W	#4,SP
	MOVEM.L	(SP)+,D5-D7/A3
	RTS

lbC00FAAA	MOVEM.L	D4-D7/A3,-(SP)
	MOVE.W	$18(SP),D7
	MOVE.W	$1A(SP),D6
	MOVE.W	$1C(SP),D5
	MOVE.W	$1E(SP),D4
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL0100D4,A0
	ADDA.L	D0,A0
	TST.W	8(A0)
	BEQ.L	lbC00FB72
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC56,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEA.L	(A1),A3
	MOVE.L	D4,D1
	EXT.L	D1
	ADD.L	D1,D1
	LEA	lbW00FBF6,A1
	ADDA.L	D1,A1
	MOVE.W	(A1),D1
	EXT.L	D1
	MOVE.L	D1,$18(A3)
	MOVE.B	#1,$1E(A3)
	ADDA.L	D0,A0
	MOVE.L	(A0),-(SP)
	JSR	lbC00FBEC(PC)
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC46,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL0100D4,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVE.L	(A1),$22(A3)
	ADDA.L	D0,A0
	MOVE.L	4(A0),$26(A3)
	MOVE.W	D6,$2A(A3)
	MOVE.W	D5,$2C(A3)
	MOVE.B	#$11,$1E(A3)
	MOVE.L	A3,(SP)
	JSR	lbC00FBEC(PC)
	ADDQ.W	#4,SP
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1D4(A6)
	MOVE.W	D0,lbW00FC30
	BEQ.S	lbC00FB72
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC46,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	JSR	-$1DA(A6)
lbC00FB72	MOVEM.L	(SP)+,D4-D7/A3
	RTS

lbC00FB78	MOVEM.L	D7/A2,-(SP)
	MOVE.W	12(SP),D7
	MOVE.W	D7,-(SP)
	CLR.W	-(SP)
	MOVE.W	#$80,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00FA58
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FC56,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEA.L	(A1),A2
	MOVE.L	D7,D1
	EXT.L	D1
	ADD.L	D1,D1
	LEA	lbW00FBF6,A1
	ADDA.L	D1,A1
	MOVE.W	(A1),D1
	EXT.L	D1
	MOVE.L	D1,$18(A2)
	ADDA.L	D0,A0
	MOVE.L	(A0),(SP)
	JSR	lbC00FBEC(PC)
	ADDQ.W	#6,SP
	MOVEM.L	(SP)+,D7/A2
	RTS

End
lbC00FBC6	MOVE.L	D7,-(SP)
	MOVEQ	#0,D7
lbC00FBCA	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC00FBDA
	MOVE.W	D7,-(SP)
	BSR.S	lbC00FB78
	ADDQ.W	#2,SP
	ADDQ.W	#1,D7
	BRA.S	lbC00FBCA

lbC00FBDA	MOVE.L	(SP)+,D7
	RTS

;	dc.w	0

lbC00FBE0	JMP	lbC00D804

lbC00FBE6	JMP	lbC00D6B8

lbC00FBEC	JMP	lbC03FA7C

;	MOVEQ	#$61,D0

;	SECTION	game00FBF4,DATA
lbW00FBF4	dc.w	$F00
lbW00FBF6	dc.w	1
	dc.w	2
	dc.w	4
	dc.w	8
A1.MSG	dc.b	'A1',0,0
A2.MSG	dc.b	'A2',0,0
A3.MSG	dc.b	'A3',0,0
A4.MSG	dc.b	'A4',0,0
lbL00FC0E	dc.l	A1.MSG
	dc.l	A2.MSG
	dc.l	A3.MSG
	dc.l	A4.MSG
A0.MSG	dc.b	'A0',0,0
audiodevice.MSG	dc.b	'audio.device',0,0

;	SECTION	game00FC30,BSS
lbW00FC30	ds.w	1
lbL00FC32	dc.l	Buffy
lbL00FC36	ds.l	4
lbL00FC46	ds.l	4
lbL00FC56	ds.l	4
;	ds.w	1


;	SECTION	game00FC68,CODE
lbC00FC68	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105FC
	JSR	lbC010036(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL010604
	JSR	lbC010036(PC)
	LEA	10(SP),SP
	RTS

lbC00FC8A	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010620
	JSR	lbC010036(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL010620
	JSR	lbC010036(PC)
	LEA	10(SP),SP
	RTS

lbC00FCAC	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL01072C
	JSR	lbC010036(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL01072C
	JSR	lbC010036(PC)
	LEA	10(SP),SP
	RTS

lbC00FCCE	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010694
	JSR	lbC010036(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL010682
	JSR	lbC010036(PC)
	LEA	10(SP),SP
	RTS

lbC00FCF0	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010644
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD02	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010664
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD14	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL01071C
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD26	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL01066E
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD38	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0106FA
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD4A	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0106D0
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD5C	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0106A8
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD6E	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010630
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD80	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0106E6
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FD92	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL010656
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FDA4	MOVE.L	A3,-(SP)
	LEA	lbL0105AC,A3
	TST.W	(A3)
	BEQ.S	lbC00FDBE
	LEA	lbL01070E,A0
	MOVEA.L	$14(A3),A1
	CMPA.L	A0,A1
	BNE.S	lbC00FDCE
lbC00FDBE	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL01070E
	JSR	lbC010036(PC)
	ADDQ.W	#6,SP
lbC00FDCE	MOVEA.L	(SP)+,A3
	RTS

Init_2
lbC00FDD2	MOVEM.L	D6/D7,-(SP)
	MOVE.W	12(SP),D7
;	MOVE.L	D7,D0
;	SUBI.W	#$10,D0
;	BEQ.S	lbC00FDE8
;	SUBQ.W	#1,D0
;	BEQ.S	lbC00FE14
;	BRA.S	lbC00FE20

;lbC00FDE8	MOVE.W	lbW010538,lbW0105EE
;	MOVE.W	#$FFFF,lbW010538
;	MOVEQ	#0,D6
;lbC00FDFC	MOVEQ	#4,D0
;	CMP.W	D0,D6
;	BGE.S	lbC00FE4C
;	MOVE.W	D6,-(SP)
;	CLR.W	-(SP)
;	MOVEQ	#$7C,D0
;	MOVE.W	D0,-(SP)
;	JSR	lbC01003C(PC)
;	ADDQ.W	#6,SP
;	ADDQ.W	#1,D6
;	BRA.S	lbC00FDFC

;lbC00FE14	MOVE.W	lbW0105EE,lbW010538
;	BRA.S	lbC00FE4C

;lbC00FE20	MOVEQ	#15,D0
;	CMP.W	D0,D7
;	BHI.S	lbC00FE4C
	MOVE.W	lbW010538,D6
	MOVE.W	#$FFFF,lbW010538
	MOVEQ	#0,D0
	MOVE.W	D7,D0
	ASL.L	#2,D0
	LEA	lbL010094,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	JSR	(A1)
	MOVE.W	D6,lbW010538
lbC00FE4C	MOVEM.L	(SP)+,D6/D7
	RTS

;lbC00FE52	MOVE.L	D7,-(SP)
;	MOVE.W	8(SP),D7
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL0100D4,A0
;	MOVEA.L	A0,A1
;	ADDA.L	D0,A1
;	TST.W	8(A1)
;	BEQ.S	lbC00FE94
;	MOVEA.L	A0,A1
;	ADDA.L	D0,A1
;	ADDA.L	D0,A0
;	MOVEA.L	(A1),A1
;	MOVE.L	4(A0),D0
;	MOVEA.L	4,A6
;	JSR	-$D2(A6)
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL0100D4,A0
;	ADDA.L	D0,A0
;	CLR.W	8(A0)
;lbC00FE94	MOVE.L	(SP)+,D7
;	RTS

;lbC00FE98	MOVE.L	D7,-(SP)
;	MOVEQ	#0,D7
;lbC00FE9C	MOVEQ	#8,D0
;	CMP.W	D0,D7
;	BGE.S	lbC00FEBA
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ADD.L	D0,D0
;	LEA	lbW010084,A0
;	ADDA.L	D0,A0
;	MOVE.W	(A0),-(SP)
;	BSR.S	lbC00FE52
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D7
;	BRA.S	lbC00FE9C

;lbC00FEBA	MOVE.L	(SP)+,D7
;	RTS

EndPlay
lbC00FEBE	JSR	lbC01001E(PC)
	MOVEQ	#-1,D0
	MOVE.W	D0,lbW010538
	CMP.W	lbW01053A,D0
	BNE.S	lbC00FEE4
	CLR.W	lbW01053A
	JSR	lbC010030(PC)
	CLR.W	-(SP)
	JSR	lbC010018(PC)
	ADDQ.W	#2,SP
lbC00FEE4
;	BSR.S	lbC00FE98
	RTS

;lbC00FEE8	LINK.W	A5,#-8
;	MOVEM.L	D2/D3/D6/D7,-(SP)
;	MOVE.W	8(A5),D7
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL0100D4,A0
;	ADDA.L	D0,A0
;	TST.W	8(A0)
;	BNE.L	lbC00FFC2
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ASL.L	#2,D0
;	LEA	lbL010064,A0
;	ADDA.L	D0,A0
;	MOVE.L	(A0),D1
;	MOVE.L	#$3ED,D2
;	MOVEA.L	lbL03FA6C,A6
;	JSR	-$1E(A6)
;	MOVE.L	D0,D6
;	TST.L	D6
;	BNE.S	lbC00FF4E
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL0100D4,A0
;	ADDA.L	D0,A0
;	CLR.W	8(A0)
;	BSR.L	lbC00FEBE
;	MOVE.W	D7,-(SP)
;	JSR	lbC01002A(PC)
;	ADDQ.W	#2,SP
;lbC00FF4E	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL0100D4,A0
;	ADDA.L	D0,A0
;	LEA	4(A0),A1
;	MOVE.L	A0,-8(A5)
;	MOVE.L	D6,D1
;	MOVE.L	A1,D2
;	MOVEQ	#4,D3
;	MOVEA.L	lbL03FA6C,A6
;	JSR	-$2A(A6)
;	MOVEA.L	-8(A5),A0
;	MOVE.L	4(A0),D0
;	MOVEQ	#2,D1
;	MOVEA.L	4,A6
;	JSR	-$C6(A6)
;	MOVEA.L	-8(A5),A0
;	MOVE.L	D0,(A0)
;	TST.L	D0
;	BNE.S	lbC00FF9C
;	CLR.W	8(A0)
;	MOVE.W	D7,-(SP)
;	JSR	lbC01002A(PC)
;	ADDQ.W	#2,SP
;lbC00FF9C	MOVE.L	D6,D1
;	MOVEA.L	-8(A5),A0
;	MOVE.L	(A0),D2
;	MOVE.L	4(A0),D3
;	MOVEA.L	lbL03FA6C,A6
;	JSR	-$2A(A6)
;	MOVE.L	D6,D1
;	JSR	-$24(A6)
;	MOVEA.L	-8(A5),A0
;	MOVE.W	#$FFFF,8(A0)
;lbC00FFC2	MOVEM.L	(SP)+,D2/D3/D6/D7
;	UNLK	A5
;	RTS

;lbC00FFCA	MOVE.L	D7,-(SP)
;	MOVEQ	#0,D7
;lbC00FFCE	MOVEQ	#8,D0
;	CMP.W	D0,D7
;	BGE.S	lbC00FFEE
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ADD.L	D0,D0
;	LEA	lbW010084,A0
;	ADDA.L	D0,A0
;	MOVE.W	(A0),-(SP)
;	BSR.L	lbC00FEE8
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D7
;	BRA.S	lbC00FFCE

;lbC00FFEE	MOVE.L	(SP)+,D7
;	RTS

InitPlay
lbC00FFF2	MOVE.W	#$FFFF,lbW010538
	TST.W	lbW01053A
	BNE.S	lbC01000E
	JSR	lbC010024(PC)
	MOVE.W	#$FFFF,lbW01053A
lbC01000E
;	BSR.S	lbC00FFCA
	CLR.W	lbW010538
	RTS

lbC010018	JMP	lbC00F9BE

lbC01001E	JMP	lbC01048E

lbC010024	JMP	lbC00F7BC

;lbC01002A	JMP	lbC00D538

lbC010030	JMP	lbC00FBC6

lbC010036	JMP	lbC0104D8

lbC01003C	JMP	lbC00FA58

;	MOVEQ	#$61,D0

;	SECTION	game010044,DATA
;ax.MSG	dc.b	'a.x',0
;bx.MSG	dc.b	'b.x',0
;cx.MSG	dc.b	'c.x',0
;dx.MSG	dc.b	'd.x',0
;ex.MSG	dc.b	'e.x',0
;fx.MSG	dc.b	'f.x',0
;gx.MSG	dc.b	'g.x',0
;hx.MSG	dc.b	'h.x',0
;lbL010064	dc.l	ax.MSG
;	dc.l	bx.MSG
;	dc.l	cx.MSG
;	dc.l	dx.MSG
;	dc.l	ex.MSG
;	dc.l	fx.MSG
;	dc.l	gx.MSG
;	dc.l	hx.MSG
;lbW010084	dc.w	0
;	dc.w	1
;	dc.w	2
;	dc.w	3
;	dc.w	4
;	dc.w	5
;	dc.w	6
;	dc.w	7
lbL010094	dc.l	lbC01048E
	dc.l	lbC00FD02
	dc.l	lbC00FC8A
	dc.l	lbC00FD14
	dc.l	lbC00FD4A
	dc.l	lbC00FDA4
	dc.l	lbC00FD38
	dc.l	lbC00FCF0
	dc.l	lbC00FC68
	dc.l	lbC00FD6E
	dc.l	lbC00FD26
	dc.l	lbC00FCAC
	dc.l	lbC00FD92
	dc.l	lbC00FD5C
	dc.l	lbC00FD80
	dc.l	lbC00FCCE

;	SECTION	game0100D4,BSS
lbL0100D4
	dc.l	Samp01+4
	dc.l	8
	dc.w	-1
	dc.l	Samp02+4
	dc.l	$1724
	dc.w	-1
	dc.l	Samp03+4
	dc.l	$380
	dc.w	-1
	dc.l	Samp04+4
	dc.l	$1180
	dc.w	-1
	dc.l	Samp05+4
	dc.l	$C62
	dc.w	-1
	dc.l	Samp06+4
	dc.l	$70
	dc.w	-1
	dc.l	Samp07+4
	dc.l	$21E2
	dc.w	-1
	dc.l	Samp08+4
	dc.l	$1CC
	dc.w	-1

;	SECTION	game010124,CODE
;lbC010124	MOVE.W	#$FFFF,lbW0105F0
;	RTS

;lbC01012E	CLR.W	lbW0105F0
;	RTS

;lbC010136	MOVEM.L	D2/D4-D7/A2/A3,-(SP)
;	MOVE.W	$20(SP),D7
;	MOVE.W	$22(SP),D6
;	MOVE.W	$24(SP),D5
;	MOVE.W	$26(SP),D4
;	MOVEQ	#$71,D0
;	CMP.W	D0,D7
;	BLE.S	lbC010158
;	MOVE.W	D0,lbW0105F2
;	BRA.S	lbC010160

;lbC010158	MOVE.L	D7,D0
;	MOVE.W	D0,lbW0105F2
;lbC010160	MOVE.W	D5,lbW0105F4
;	MOVE.W	D6,lbW0105F6
;	LEA	lbL01055E,A2
;	MOVE.L	D6,D1
;	ASR.W	#3,D1
;	ADDI.W	#$20,D1
;	MOVE.W	D1,6(A2)
;	MOVE.L	D5,D0
;	ASR.W	#3,D0
;	MOVE.W	#$DDE,D1
;	SUB.W	D0,D1
;	MOVE.W	D1,8(A2)
;	MOVE.L	D5,D0
;	ASR.W	#7,D0
;	MOVEQ	#$42,D1
;	SUB.W	D0,D1
;	MOVE.W	D1,10(A2)
;	LEA	lbL01053C,A2
;	MOVEQ	#$3C,D0
;	MOVE.W	lbW0105F2,D1
;	MOVE.L	D0,D2
;	SUB.W	D1,D2
;	MOVE.W	D2,$1E(A2)
;	MOVE.W	lbW0105F2,D1
;	ASR.W	#1,D1
;	SUB.W	D1,D0
;	MOVE.W	D0,$12(A2)
;	MOVE.W	lbW0105F8,D0
;	CMP.W	D4,D0
;	BEQ.S	lbC0101F0
;	LEA	lbL0105CC,A3
;	MOVE.W	D4,lbW0105F8
;	TST.W	(A3)
;	BEQ.S	lbC0101F0
;	LEA	lbL0106C2,A0
;	MOVEA.L	$14(A3),A1
;	CMPA.L	A1,A0
;	BEQ.S	lbC0101EE
;	LEA	lbL01053C,A0
;	CMPA.L	A0,A1
;	BNE.S	lbC0101F0
;lbC0101EE	CLR.W	(A3)
;lbC0101F0	MOVEM.L	(SP)+,D2/D4-D7/A2/A3
;	RTS

lbC0101F6	MOVE.L	A3,-(SP)
	LEA	lbL01056C,A3
	TST.W	lbW0105F2
	BNE.S	lbC01020E
	TST.W	lbW0105F4
	BEQ.S	lbC01027C
lbC01020E	TST.W	lbW0105F4
	BEQ.S	lbC01023E
	TST.W	(A3)
	BNE.S	lbC01022A
	CLR.W	-(SP)
	PEA	lbL01055E
	BSR.L	lbC0104D8
	ADDQ.W	#6,SP
	BRA.S	lbC01023E

lbC01022A	MOVEQ	#2,D0
	MOVE.W	D0,(A3)
	MOVE.W	lbL010566,4(A3)
	MOVE.W	lbW010564,8(A3)
lbC01023E	LEA	lbL0105CC,A3
	TST.W	(A3)
	BNE.S	lbC01027C
	TST.W	lbW0105F2
	BEQ.S	lbC01027C
	MOVEQ	#2,D0
	CMP.W	lbW0105F8,D0
	BEQ.S	lbC01026C
	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL01053C
	BSR.L	lbC0104D8
	ADDQ.W	#6,SP
	BRA.S	lbC01027C

lbC01026C	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0106C2
	BSR.L	lbC0104D8
	ADDQ.W	#6,SP
lbC01027C	MOVEA.L	(SP)+,A3
	RTS

lbC010280	MOVEM.L	D7/A2/A3,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL01056C,A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	TST.W	(A2)
	BNE.S	lbC0102AE
	MOVE.W	D7,-(SP)
	CLR.W	-(SP)
	MOVEQ	#-1,D0
	MOVE.W	D0,-(SP)
	JSR	lbC010530(PC)
	ADDQ.W	#6,SP
	BRA.L	lbC01043C

lbC0102AE	SUBQ.W	#1,(A2)
	BGT.L	lbC0103EA
	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
lbC0102C2	MOVE.W	(A3),D0
	TST.W	D0
	BPL.L	lbC0103C0
	MOVEA.L	A3,A0
	ADDQ.L	#2,A3
	MOVE.W	(A0),D0
	SUBI.W	#$FFF5,D0
	BLT.S	lbC0102C2
	CMPI.W	#11,D0
	BGE.S	lbC0102C2
	ADD.W	D0,D0
	MOVE.W	lbW0102E6(PC,D0.W),D0
	JMP	lbW0102E8(PC,D0.W)

lbW0102E6	dc.w	lbC0103AA-lbW0102E8
lbW0102E8	dc.w	lbC010328-lbW0102E8
	dc.w	lbC0102C2-lbW0102E8
	dc.w	lbC010340-lbW0102E8
	dc.w	lbC0102C2-lbW0102E8
	dc.w	lbC010336-lbW0102E8
	dc.w	lbC0102FC-lbW0102E8
	dc.w	lbC0102C2-lbW0102E8
	dc.w	lbC0102C2-lbW0102E8
	dc.w	lbC010350-lbW0102E8
	dc.w	lbC010306-lbW0102E8

lbC0102FC	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,2(A2)
	BRA.S	lbC0102C2

lbC010306	MOVEQ	#-1,D0
	MOVE.W	D0,4(A2)
	MOVE.W	(A3)+,(A2)
	MOVEQ	#0,D1
	MOVE.W	D1,12(A2)
	ADDQ.L	#2,$18(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	D1,-(SP)
	MOVE.W	D0,-(SP)
	JSR	lbC010530(PC)
	ADDQ.W	#6,SP
	BRA.L	lbC01043C

lbC010328	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3),10(A2)
	MOVE.W	(A3)+,8(A2)
	BRA.S	lbC0102C2

lbC010336	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,6(A2)
	BRA.S	lbC0102C2

lbC010340	ADDQ.L	#3,$18(A2)
	MOVE.W	(A3)+,12(A2)
	MOVE.W	(A3)+,$10(A2)
	BRA.L	lbC0102C2

lbC010350	TST.W	(A3)
	BNE.S	lbC010366
	ADDQ.L	#2,A3
	ADDQ.L	#2,$18(A2)
	MOVE.L	$18(A2),D0
	MOVE.L	D0,$1C(A2)
	BRA.L	lbC0102C2

lbC010366	TST.W	$12(A2)
	BNE.S	lbC01037C
	MOVE.W	(A3),D0
	MOVE.W	D0,$12(A2)
	MOVE.L	$1C(A2),D1
	MOVE.L	D1,$18(A2)
	BRA.S	lbC010398

lbC01037C	SUBQ.W	#1,$12(A2)
	BNE.S	lbC010390
	ADDQ.L	#2,$18(A2)
	MOVE.L	$18(A2),D0
	MOVE.L	D0,$1C(A2)
	BRA.S	lbC010398

lbC010390	MOVE.L	$1C(A2),D0
	MOVE.L	D0,$18(A2)
lbC010398	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
	BRA.L	lbC0102C2

lbC0103AA	MOVEQ	#0,D0
	MOVE.W	D0,(A2)
	MOVE.W	D0,8(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D7,-(SP)
	JSR	lbC010524(PC)
	ADDQ.W	#2,SP
	BRA.S	lbC01043C

lbC0103C0	MOVE.W	(A3)+,D0
	MOVE.W	D0,4(A2)
	MOVE.W	(A3),(A2)
	MOVE.W	10(A2),D0
	MOVE.W	D0,8(A2)
	ADDQ.L	#2,$18(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	MOVE.W	2(A2),-(SP)
	JSR	lbC01052A(PC)
	ADDQ.W	#8,SP
	BRA.S	lbC01043C

lbC0103EA	MOVE.W	4(A2),D0
	MOVEQ	#-1,D1
	CMP.W	D1,D0
	BEQ.S	lbC01043C
	MOVE.W	6(A2),D0
	ADD.W	D0,4(A2)
	CMPI.W	#$7C,4(A2)
	BGE.S	lbC01040A
	MOVEQ	#$7C,D0
	MOVE.W	D0,4(A2)
lbC01040A	TST.W	$10(A2)
	BEQ.S	lbC01042C
	SUBQ.W	#1,14(A2)
	BGT.S	lbC01042C
	MOVE.W	$10(A2),14(A2)
	MOVE.W	12(A2),D0
	ADD.W	D0,8(A2)
	BGT.S	lbC01042C
	MOVEQ	#0,D0
	MOVE.W	D0,8(A2)
lbC01042C	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	JSR	lbC010530(PC)
	ADDQ.W	#6,SP
lbC01043C	MOVEM.L	(SP)+,D7/A2/A3
	RTS

Play
lbC010442	ADDI.W	#$4296,lbW0105EC
	TST.W	lbW010538
	BNE.S	lbC01048C
	MOVEQ	#-1,D0
	MOVE.W	D0,lbW010538
	CMP.W	lbW0105F0,D0
	BNE.S	lbC010466
	BSR.L	lbC0101F6
lbC010466	CLR.W	-(SP)
	BSR.L	lbC010280
	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC010280
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	BSR.L	lbC010280
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	BSR.L	lbC010280
	ADDQ.W	#4,SP
	CLR.W	lbW010538
lbC01048C	RTS

Init_1
lbC01048E	MOVEM.L	D6/D7,-(SP)
	MOVE.W	lbW010538,D6
	MOVE.W	#$FFFF,lbW010538
	MOVEQ	#0,D7
lbC0104A2	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC0104CC
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL01056C,A0
	ADDA.L	D0,A0
	MOVEQ	#0,D0
	MOVE.W	D0,(A0)
	MOVE.W	D7,-(SP)
	MOVE.W	D0,-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC010530(PC)
	ADDQ.W	#6,SP
	ADDQ.W	#1,D7
	BRA.S	lbC0104A2

lbC0104CC	MOVE.W	D6,lbW010538
	MOVEM.L	(SP)+,D6/D7
	RTS

lbC0104D8	MOVEM.L	D7/A2/A3,-(SP)
	MOVEA.L	$10(SP),A3
	MOVE.W	$14(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL01056C,A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	MOVE.L	A3,$14(A2)
	MOVE.W	#$3F,10(A2)
	MOVEQ	#0,D0
	MOVE.L	D0,$18(A2)
	MOVE.L	D0,$1C(A2)
	MOVEQ	#0,D0
	MOVE.W	D0,$12(A2)
	MOVE.W	D0,6(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D0,$10(A2)
	MOVE.W	#1,(A2)
	MOVEM.L	(SP)+,D7/A2/A3
	RTS

lbC010524	JMP	lbC00FB78

lbC01052A	JMP	lbC00FAAA

lbC010530	JMP	lbC00FA58

;	MOVEQ	#$61,D0

;	SECTION	game010538,DATA
lbW010538	dc.w	$FFFF
lbW01053A	dc.w	0
lbL01053C	dc.l	$FFFB0000
	dc.l	$FFF6000A
	dc.l	$8B0005
	dc.l	$810005
	dc.l	$FFFF000A
	dc.l	$880005
	dc.l	$7E0005
	dc.l	$FFFF0014
	dc.w	$FFF5
lbL01055E	dc.l	$FFFB0005
	dc.w	$FFF6
lbW010564	dc.w	$32
lbL010566	dc.l	$52E003C
	dc.w	$FFF5

;	SECTION	game01056C,BSS
lbL01056C	ds.l	$10
lbL0105AC	ds.l	8
lbL0105CC	ds.l	8
lbW0105EC	ds.w	1
lbW0105EE	ds.w	1
lbW0105F0	ds.w	1
lbW0105F2	ds.w	1
lbW0105F4	ds.w	1
lbW0105F6	ds.w	1
lbW0105F8	ds.w	2

;	SECTION	game0105FC,DATA
lbL0105FC	dc.l	$FFFB0006
	dc.l	$1C00005
lbL010604	dc.l	$FFFB0006
	dc.l	$144000F
	dc.l	$1080014
	dc.l	$1A8000A
	dc.l	$FFF8FFFF
	dc.l	$304B0
	dc.l	$B9FFF5
lbL010620	dc.l	$FFFB0006
	dc.l	$FFF8FFFF
	dc.l	$202A6
	dc.l	$60FFF5
lbL010630	dc.l	$FFFB0000
	dc.l	$FFF8FFFF
	dc.l	$5FFFA
	dc.l	$100C8
	dc.l	$122FFF5
lbL010644	dc.l	$FFFB0004
	dc.l	$378001C
	dc.l	$FFFE0002
	dc.l	$3780058
	dc.w	$FFF5
lbL010656	dc.l	$FFFB0007
	dc.l	$FFF8FFFC
	dc.l	$100BA
	dc.w	13
lbL010664	dc.l	$FFFB0001
	dc.l	$3200046
	dc.w	$FFF5
lbL01066E	dc.l	$FFFB0007
	dc.l	$FFF60030
	dc.l	$FFF8FFFE
	dc.l	$105B4
	dc.l	$1CFFF5
lbL010682	dc.l	$FFFB0002
	dc.l	$FFF60003
	dc.l	$FFF80001
	dc.l	$30238
	dc.w	$B4
lbL010694	dc.l	$FFFB0002
	dc.l	$FFF6003F
	dc.l	$FFF8FFFF
	dc.l	$30238
	dc.l	$B4FFF5
lbL0106A8	dc.l	$FFFB0005
	dc.l	$FFF60032
	dc.l	$3880014
	dc.l	$3580014
	dc.l	$3880014
	dc.l	$3580014
	dc.w	$FFF5
lbL0106C2	dc.l	$FFFB0003
	dc.l	$FFF60008
	dc.l	$BB80064
	dc.w	$FFF5
lbL0106D0	dc.l	$FFFB0005
	dc.l	$FFFAFFFD
	dc.l	$FFFE0000
	dc.l	$A8000A
	dc.l	$FFFE0001
	dc.w	$FFF5
lbL0106E6	dc.l	$FFFB0003
	dc.l	$FFF8FFFF
	dc.l	$3FFFA
	dc.l	$2001F4
	dc.l	$96FFF5
lbL0106FA	dc.l	$FFFB0003
	dc.l	$FFF8FFFF
	dc.l	$1FFFA
	dc.l	$7B012C
	dc.l	$3CFFF5
lbL01070E	dc.l	$FFFB0005
	dc.l	$FFF60028
	dc.l	$7E00050
	dc.w	$FFF5
lbL01071C	dc.l	$FFFB0007
	dc.l	$FFF8FFFC
	dc.l	$10098
	dc.l	$DFFF5
lbL01072C	dc.l	$FFFB0001
	dc.l	$FFF8FFFF
	dc.l	$20348
	dc.l	$4EFFF5

Buffy
	ds.b	$330
Buffy1
	ds.b	$22
Buffy2
	ds.b	$22*4

Samp01
	incbin	ram:a.x
Samp02
	incbin	ram:b.x
Samp03
	incbin	ram:c.x
Samp04
	incbin	ram:d.x
Samp05
	incbin	ram:e.x
Samp06
	incbin	ram:f.x
Samp07
	incbin	ram:g.x
Samp08
	incbin	ram:h.x
M1_End
