	*******************************************************
	****        M-1 Tank Platoon - Custom Module,  	   ****
	**** all adaptions by Gaelan Griffin & Wanted Team ****
	*******************************************************

	incdir	"dh2:include/"
	include 'misc/eagleplayer2.01.i'

	SECTION Player,Code_C

M1_Start
	PLAYERHEADER PlayerTagArray

	dc.b	"$VER: M-1 Tank Platoon - Custom Module,",10
	dc.b	'adapted by Gaelan Griffin & Don Adan/Wanted Team',0
	even

PlayerTagArray
	dc.l	DTP_CustomPlayer,1
	dc.l	DTP_PlayerName,PlayerName
	dc.l	DTP_Interrupt,Interrupt
	dc.l	DTP_InitPlayer,InitPlayer
	dc.l	DTP_EndPlayer,EndPlayer
	dc.l	DTP_InitSound,InitSound
	dc.l	DTP_EndSound,EndSound
	dc.l	DTP_SubSongRange,SubSongRange
	dc.l	EP_Get_ModuleInfo,Get_ModuleInfo
	dc.l	TAG_DONE
PlayerName
	dc.b	"CustomPlay",0
Text
	dc.b	10
	dc.b	"          M1 Tank Platoon",10
	dc.b	"          Version 849.01",10
	dc.b	10
	dc.b	"            Designed by",10
	dc.b	"          Arnold Hendrick",10
	dc.b	"          Scott Spanburg",10
	dc.b	"          Amiga Version by",10
	dc.b	"            Joe Hellesen",10
	dc.b	"               Art by",10
	dc.b	"         Max Remington III",10
	dc.b	"         Sound and Music by",10
	dc.b	"             Ken Lagace",10
	dc.b	"        Quality Assurance by",10
	dc.b	"           Chris Taormino",10
	dc.b	"             Diane Baile",10
	dc.b	10
	dc.b	"   (C) 1990 MicroProse Software, Inc.",0
	even

ExecBase
	dc.l	0				; for GG
Timer
	dc.w	0

***************************************************************************
***************************** DTP_SubSongRange ****************************
***************************************************************************

SubSongRange
	moveq	#1,D0
	moveq	#9,D1
	rts

***************************************************************************
***************************** EP_Get_ModuleInfo ***************************
***************************************************************************

Get_ModuleInfo
	lea	InfoBuffer(PC),A0
	rts

InfoBuffer
	dc.l	MI_SpecialInfo,Text
	dc.l	MI_LoadSize,M1_End-M1_Start
	dc.l	0

***************************************************************************
***************************** DTP_InitPlayer ******************************
***************************************************************************

InitPlayer
	move.l	4.W,ExecBase
	bsr.w	InitPlay
	tst.w	InDone
	bne.b	InOK
	moveq	#EPR_CantAllocAudio,D0
	rts
InOK
	moveq	#0,D0
	rts

InDone
	dc.w	0

***************************************************************************
***************************** DTP_EndPlayer *******************************
***************************************************************************

EndPlayer
	bsr.w	EndPlay
	moveq	#0,D0
	rts

***************************************************************************
****************************** DTP_Interrupt ******************************
***************************************************************************

Interrupt
	movem.l	D1-A6,-(SP)

	bsr.w	Play

	movem.l	(SP)+,D1-A6
	moveq	#0,D0
	rts

***************************************************************************
***************************** DTP_InitSound *******************************
***************************************************************************

InitSound
	move.w	Timer(PC),D0
	bne.b	Done
	move.w	dtg_Timer(A5),D0
	mulu.w	#5,D0
	divu.w	#6,D0			; 60 Hz
	lea	Timer(PC),A0
	move.w	D0,(A0)
Done	move.w	D0,dtg_Timer(A5)
	bsr.w	Init_1
	clr.w	-(SP)
	move.w	dtg_SndNum(A5),-(SP)
	bsr.w	Init_2
	addq.w	#4,SP
	rts

***************************************************************************
***************************** DTP_EndSound ********************************
***************************************************************************

EndSound
	bsr.w	End
	rts

***************************************************************************
***************************************************************************
***************************************************************************

; Music from "M-1 Tank Platoon" (c) 1990 by MicroProse

lbC002308	MOVEM.L	A3/A6,-(SP)
	MOVEA.L	12(SP),A3
	TST.L	10(A3)
	BEQ.S	lbC002320
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$168(A6)
lbC002320	MOVE.B	#$FF,8(A3)
	MOVEQ	#-1,D0
	MOVE.L	D0,$14(A3)
	MOVEQ	#0,D0
	MOVE.B	15(A3),D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$150(A6)
;	MOVEA.L	A3,A1
;	MOVEQ	#$22,D0
;	JSR	-$D2(A6)
	MOVEM.L	(SP)+,A3/A6
	RTS


lbC00244C	MOVEM.L	D6/D7/A2/A3/A6,-(SP)
	MOVEA.L	$18(SP),A3
	MOVE.L	$1C(SP),D7
	MOVEQ	#-1,D0
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$14A(A6)
	MOVE.L	D0,D6
	CMPI.B	#$FF,D6
	BNE.S	lbC00246E
	MOVEQ	#0,D0
	BRA.S	lbC0024D4

lbC00246E
;	MOVEQ	#$22,D0
;	MOVE.L	#$10001,D1
;	JSR	-$C6(A6)
;	MOVEA.L	D0,A2
;	MOVE.L	A2,D0
;	BNE.S	lbC00248A
;	MOVEQ	#0,D0
;	MOVE.B	D6,D0
;	JSR	-$150(A6)
;	BRA.S	lbC0024D2

lbC00248A	MOVE.L	A3,10(A2)
	MOVE.L	D7,D0
	MOVE.B	D0,9(A2)
	MOVE.B	#4,8(A2)
	CLR.B	14(A2)
	MOVE.B	D6,15(A2)
	SUBA.L	A1,A1
	JSR	-$126(A6)
	MOVE.L	D0,$10(A2)
	MOVE.L	A3,D0
	BEQ.S	lbC0024B8
	MOVEA.L	A2,A1
	JSR	-$162(A6)
	BRA.S	lbC0024D2

lbC0024B8	LEA	$18(A2),A0
	MOVE.L	A0,$14(A2)
	LEA	$14(A2),A0
	MOVE.L	A0,$1C(A2)
	CLR.L	$18(A2)
	MOVE.B	#2,$20(A2)
lbC0024D2	MOVE.L	A2,D0
lbC0024D4	MOVEM.L	(SP)+,D6/D7/A2/A3/A6
	RTS


;	SECTION	tankst0353B4,CODE
lbC0353B4	MOVEA.L	4(SP),A1
	MOVE.L	A6,-(SP)
	MOVEA.L	$14(A1),A6
	JSR	-$1E(A6)
	MOVEA.L	(SP)+,A6
	RTS


;	SECTION	tankst00F998,CODE
lbC00F998	LINK.W	A5,#-8
	MOVEM.L	D2/D7/A2/A3/A6,-(SP)
;	MOVE.L	#$330,D0
;	MOVE.L	#$10001,D1
;	MOVEA.L	4,A6
;	JSR	-$C6(A6)
;	MOVE.L	D0,lbL00FE08
;	BNE.S	lbC00F9C6
;	MOVEQ	#1,D0
;	MOVE.W	D0,-(SP)
;	BSR.L	lbC00FB98
;	ADDQ.W	#2,SP
lbC00F9C6	MOVEQ	#0,D7
lbC00F9C8	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC00FA1A
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FE0C,A0
	ADDA.L	D1,A0
	MOVE.L	D7,D0
	MOVEQ	#$44,D2
	MULS.W	D2,D0
	MOVEA.L	lbL00FE08,A1
	MOVEA.L	A1,A2
	ADDA.L	D0,A2
	MOVE.L	A2,(A0)
	LEA	lbL00FE1C,A0
	ADDA.L	D1,A0
	MOVE.L	D7,D0
	MULS.W	D2,D0
	MOVEA.L	lbL00FE08,A1
	ADDA.L	D0,A1
	LEA	$110(A1),A2
	MOVE.L	A2,(A0)
	LEA	lbL00FE2C,A0
	ADDA.L	D1,A0
	LEA	$220(A1),A2
	MOVE.L	A2,(A0)
	ADDQ.W	#1,D7
	BRA.S	lbC00F9C8

lbC00FA1A	MOVEA.L	lbL00FE08,A0
	MOVE.B	#$7F,9(A0)
	CLR.L	-(SP)
	PEA	A0.MSG

	lea	Buffy1(PC),A2

	JSR	lbC00FDB8(PC)
	ADDQ.W	#8,SP
	MOVEA.L	lbL00FE08,A0
	MOVE.L	D0,14(A0)
	BNE.S	lbC00FA4A
	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00FB98
	ADDQ.W	#2,SP
lbC00FA4A	MOVEA.L	lbL00FE08,A0
	MOVE.L	#lbW00FDCC,$22(A0)
	MOVEQ	#1,D0
	MOVEA.L	lbL00FE08,A0
	MOVE.L	D0,$26(A0)
	LEA	audiodevice.MSG,A0
	MOVEQ	#0,D0
	MOVEA.L	lbL00FE08,A1
	MOVE.L	D0,D1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6
	move.w	#1,InDone

	JSR	-$1BC(A6)
	MOVE.W	D0,lbW00FE3C
	BEQ.S	lbC00FA8E

	clr.w	InDone

	MOVEQ	#3,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00FB98
	ADDQ.W	#2,SP
lbC00FA8E	MOVEQ	#0,D7

	lea	Buffy2(PC),A4

lbC00FA90	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.L	lbC00FB90
	MOVEA.L	lbL00FE08,A3
	MOVE.L	D7,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FE2C,A0
	MOVEA.L	A0,A1
	ADDA.L	D1,A1
	MOVEA.L	(A1),A2
	MOVEA.L	A3,A1
	MOVEQ	#$10,D0
lbC00FAB4	MOVE.L	(A1)+,(A2)+
	DBRA	D0,lbC00FAB4
	LEA	lbL00FE0C,A1
	MOVEA.L	A1,A2
	ADDA.L	D1,A2
	MOVEA.L	(A2),A6
	MOVEA.L	A3,A2
	MOVEQ	#$10,D0
lbC00FACA	MOVE.L	(A2)+,(A6)+
	DBRA	D0,lbC00FACA
	LEA	lbL00FE1C,A2
	MOVEA.L	A2,A6
	ADDA.L	D1,A6
	MOVEA.L	(A6),A6
	MOVE.L	A6,$18(SP)
	MOVEA.L	A3,A6
	MOVEA.L	$18(SP),A2
	MOVEQ	#$10,D0
lbC00FAE8	MOVE.L	(A6)+,(A2)+
	DBRA	D0,lbC00FAE8
	ADDA.L	D1,A0
	MOVEA.L	(A0),A3
	MOVEQ	#1,D0
	MOVE.B	D0,$1E(A3)
	MOVE.W	#8,$1C(A3)
	ADDA.L	D1,A1
	MOVEA.L	(A1),A3
	MOVE.B	D0,$1E(A3)
	MOVE.W	#12,$1C(A3)
	LEA	lbL00FE1C,A0
	ADDA.L	D1,A0
	MOVEA.L	(A0),A1
	LEA	lbL00FDE6,A0
	ADDA.L	D1,A0
	CLR.L	-(SP)
	MOVE.L	(A0),-(SP)
	MOVE.L	A1,$20(SP)

	move.l	A4,A2

	JSR	lbC00FDB8(PC)

	lea	$22(A4),A4

	ADDQ.W	#8,SP
	MOVEA.L	$18(SP),A0
	MOVE.L	D0,14(A0)
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE1C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	TST.L	14(A1)
	BNE.S	lbC00FB54
	MOVEQ	#4,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00FB98
	ADDQ.W	#2,SP
lbC00FB54	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE1C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.W	#3,$1C(A3)
	MOVE.B	#$11,$1E(A3)
	CLR.W	$2E(A3)
	MOVE.L	D7,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW00FDCE,A0
	ADDA.L	D0,A0
	MOVE.W	(A0),D0
	EXT.L	D0
	MOVE.L	D0,$18(A3)
	ADDQ.W	#1,D7
	BRA.L	lbC00FA90

lbC00FB90	MOVEM.L	(SP)+,D2/D7/A2/A3/A6
	UNLK	A5
	RTS

lbC00FB98	MOVEM.L	D6/D7/A2/A6,-(SP)
	MOVE.W	$14(SP),D7
	MOVE.L	D7,D0
	CMPI.W	#6,D0
	BCC.S	lbC00FC22
	ADD.W	D0,D0
	MOVE.W	lbW00FBB2(PC,D0.W),D0
	JMP	lbW00FBB4(PC,D0.W)

lbW00FBB2	dc.w	lbC00FBBE-lbW00FBB4
lbW00FBB4	dc.w	lbC00FC22-lbW00FBB4
	dc.w	lbC00FC0E-lbW00FBB4
	dc.w	lbC00FBFE-lbW00FBB4
	dc.w	lbC00FBBE-lbW00FBB4
	dc.w	lbC00FBBE-lbW00FBB4

lbC00FBBE	MOVEQ	#0,D6
lbC00FBC0	MOVEQ	#4,D0
	CMP.W	D0,D6
	BGE.S	lbC00FBF0
	MOVE.L	D6,D1
	EXT.L	D1
	ASL.L	#2,D1
	LEA	lbL00FE1C,A0
	MOVEA.L	A0,A1
	ADDA.L	D1,A1
	MOVEA.L	(A1),A2
	TST.L	14(A2)
	BEQ.S	lbC00FBEC
	ADDA.L	D1,A0
	MOVEA.L	(A0),A1
	MOVE.L	14(A1),-(SP)
	JSR	lbC00FDBE(PC)
	ADDQ.W	#4,SP
lbC00FBEC	ADDQ.W	#1,D6
	BRA.S	lbC00FBC0

lbC00FBF0	MOVEA.L	lbL00FE08,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1C2(A6)
lbC00FBFE	MOVEA.L	lbL00FE08,A0
	MOVE.L	14(A0),-(SP)
	JSR	lbC00FDBE(PC)
	ADDQ.W	#4,SP
lbC00FC0E
;	MOVEA.L	lbL00FE08,A1
;	MOVE.L	#$330,D0
;	MOVEA.L	4,A6
;	JSR	-$D2(A6)
lbC00FC22
;	TST.W	D7
;	BEQ.S	lbC00FC2A
;	MOVEQ	#1,D0
;	BRA.S	lbC00FC2C

lbC00FC2A	MOVEQ	#0,D0
lbC00FC2C	MOVEM.L	(SP)+,D6/D7/A2/A6
	RTS

lbC00FC32	MOVEM.L	D5-D7/A3,-(SP)
	MOVE.W	$14(SP),D7
	MOVE.W	$16(SP),D6
	MOVE.W	$18(SP),D5
	MOVE.L	D5,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE0C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.L	D5,D0
	EXT.L	D0
	ADD.L	D0,D0
	LEA	lbW00FDCE,A0
	ADDA.L	D0,A0
	MOVE.W	(A0),D0
	EXT.L	D0
	MOVE.L	D0,$18(A3)
	MOVE.W	D7,$2A(A3)
	MOVE.W	D6,$2C(A3)
	MOVE.B	#1,$1E(A3)
	MOVE.L	A3,-(SP)
	JSR	lbC00FDC4(PC)
	ADDQ.W	#4,SP
	MOVEM.L	(SP)+,D5-D7/A3
	RTS

lbC00FC84	MOVEM.L	D4-D7/A3/A6,-(SP)
	MOVE.W	$1C(SP),D7
	MOVE.W	$1E(SP),D6
	MOVE.W	$20(SP),D5
	MOVE.W	$22(SP),D4
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL010244,A0
	ADDA.L	D0,A0
	TST.W	8(A0)
	BEQ.L	lbC00FD4C
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE2C,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEA.L	(A1),A3
	MOVE.L	D4,D1
	EXT.L	D1
	ADD.L	D1,D1
	LEA	lbW00FDCE,A1
	ADDA.L	D1,A1
	MOVE.W	(A1),D1
	EXT.L	D1
	MOVE.L	D1,$18(A3)
	MOVE.B	#1,$1E(A3)
	ADDA.L	D0,A0
	MOVE.L	(A0),-(SP)
	JSR	lbC00FDC4(PC)
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE1C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A3
	MOVE.L	D7,D0
	MULS.W	#10,D0
	LEA	lbL010244,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVE.L	(A1),$22(A3)
	ADDA.L	D0,A0
	MOVE.L	4(A0),$26(A3)
	MOVE.W	D6,$2A(A3)
	MOVE.W	D5,$2C(A3)
	MOVE.B	#$11,$1E(A3)
	MOVE.L	A3,(SP)
	JSR	lbC00FDC4(PC)
	ADDQ.W	#4,SP
	MOVEA.L	A3,A1
;	MOVEA.L	4,A6

	move.l	ExecBase(PC),A6

	JSR	-$1D4(A6)
	MOVE.W	D0,lbW00FE3C
	BEQ.S	lbC00FD4C
	MOVE.L	D4,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE1C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	JSR	-$1DA(A6)
lbC00FD4C	MOVEM.L	(SP)+,D4-D7/A3/A6
	RTS

lbC00FD52	MOVEM.L	D7/A2,-(SP)
	MOVE.W	12(SP),D7
	MOVE.W	D7,-(SP)
	CLR.W	-(SP)
	MOVE.W	#$80,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC00FC32
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#2,D0
	LEA	lbL00FE2C,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEA.L	(A1),A2
	MOVE.L	D7,D1
	EXT.L	D1
	ADD.L	D1,D1
	LEA	lbW00FDCE,A1
	ADDA.L	D1,A1
	MOVE.W	(A1),D1
	EXT.L	D1
	MOVE.L	D1,$18(A2)
	ADDA.L	D0,A0
	MOVE.L	(A0),(SP)
	JSR	lbC00FDC4(PC)
	ADDQ.W	#6,SP
	MOVEM.L	(SP)+,D7/A2
	RTS

End
lbC00FDA0	MOVE.L	D7,-(SP)
	MOVEQ	#0,D7
lbC00FDA4	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC00FDB4
	MOVE.W	D7,-(SP)
	BSR.S	lbC00FD52
	ADDQ.W	#2,SP
	ADDQ.W	#1,D7
	BRA.S	lbC00FDA4

lbC00FDB4	MOVE.L	(SP)+,D7
	RTS

lbC00FDB8	JMP	lbC00244C

lbC00FDBE	JMP	lbC002308

lbC00FDC4	JMP	lbC0353B4

;	MOVEQ	#$61,D0

;	SECTION	tankst00FDCC,DATA
lbW00FDCC	dc.w	$F00
lbW00FDCE	dc.w	1
	dc.w	2
	dc.w	4
	dc.w	8
A1.MSG	dc.b	'A1',0,0
A2.MSG	dc.b	'A2',0,0
A3.MSG	dc.b	'A3',0,0
A4.MSG	dc.b	'A4',0,0
lbL00FDE6	dc.l	A1.MSG
	dc.l	A2.MSG
	dc.l	A3.MSG
	dc.l	A4.MSG
A0.MSG	dc.b	'A0',0,0
audiodevice.MSG	dc.b	'audio.device',0,0

;	SECTION	tankst00FE08,BSS
lbL00FE08	dc.l	Buffy
lbL00FE0C	ds.l	4
lbL00FE1C	ds.l	4
lbL00FE2C	ds.l	4
lbW00FE3C	ds.w	1


;	SECTION	tankst00FE40,CODE
lbC00FE40	CLR.W	-(SP)
	PEA	lbL010280
	JSR	lbC0101D2(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0102A8
	JSR	lbC0101D2(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0102CC
	JSR	lbC0101D2(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL01034A
	JSR	lbC0101D2(PC)
	LEA	$12(SP),SP
	RTS

lbC00FE7C	CLR.W	-(SP)
	PEA	lbL01036A
	JSR	lbC0101D2(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL0103AE
	JSR	lbC0101D2(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0103E4
	JSR	lbC0101D2(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL010400
	JSR	lbC0101D2(PC)
	LEA	$12(SP),SP
	RTS

lbC00FEB8	CLR.W	-(SP)
	PEA	lbL01036A
	JSR	lbC0101D2(PC)
	MOVEQ	#1,D0
	MOVE.W	D0,(SP)
	PEA	lbL010428
	JSR	lbC0101D2(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	PEA	lbL0104CA
	JSR	lbC0101D2(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL010574
	JSR	lbC0101D2(PC)
	LEA	$12(SP),SP
	RTS

lbC00FEF4	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105AC
	JSR	lbC0101D2(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL0105AC
	JSR	lbC0101D2(PC)
	LEA	10(SP),SP
	RTS

lbC00FF16	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105DC
	JSR	lbC0101D2(PC)
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	PEA	lbL0105CA
	JSR	lbC0101D2(PC)
	LEA	10(SP),SP
	RTS

lbC00FF38	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105F0
	JSR	lbC0101D2(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FF4A	CLR.W	-(SP)
	PEA	lbL0105FA
	JSR	lbC0101D2(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FF5A	JSR	lbC0101BA(PC)
	MOVEQ	#2,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105A4
	JSR	lbC0101D2(PC)
	ADDQ.W	#6,SP
	RTS

lbC00FF70	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	PEA	lbL0105B6
	JSR	lbC0101D2(PC)
	ADDQ.W	#6,SP
	RTS

Init_2
lbC00FF82	MOVEM.L	D6/D7,-(SP)
	MOVE.W	12(SP),D7
;	MOVE.L	D7,D0
;	SUBI.W	#10,D0
;	BEQ.S	lbC00FF98
;	SUBQ.W	#1,D0
;	BEQ.S	lbC00FFC4
;	BRA.S	lbC00FFD0

;lbC00FF98	MOVE.W	lbW0108B0,lbW010934
;	MOVE.W	#$FFFF,lbW0108B0
;	MOVEQ	#0,D6
;lbC00FFAC	MOVEQ	#4,D0
;	CMP.W	D0,D6
;	BGE.S	lbC00FFFC
;	MOVE.W	D6,-(SP)
;	CLR.W	-(SP)
;	MOVEQ	#$7C,D0
;	MOVE.W	D0,-(SP)
;	JSR	lbC0101D8(PC)
;	ADDQ.W	#6,SP
;	ADDQ.W	#1,D6
;	BRA.S	lbC00FFAC

;lbC00FFC4	MOVE.W	lbW010934,lbW0108B0
;	BRA.S	lbC00FFFC

;lbC00FFD0	MOVEQ	#9,D0
;	CMP.W	D0,D7
;	BHI.S	lbC00FFFC
	MOVE.W	lbW0108B0,D6
	MOVE.W	#$FFFF,lbW0108B0
	MOVEQ	#0,D0
	MOVE.W	D7,D0
	ASL.L	#2,D0
	LEA	lbL01021C,A0
	ADDA.L	D0,A0
	MOVEA.L	(A0),A1
	JSR	(A1)
	MOVE.W	D6,lbW0108B0
lbC00FFFC	MOVEM.L	(SP)+,D6/D7
	RTS

;lbC010002	MOVEM.L	D7/A6,-(SP)
;	MOVE.W	12(SP),D7
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL010244,A0
;	MOVEA.L	A0,A1
;	ADDA.L	D0,A1
;	TST.W	8(A1)
;	BEQ.S	lbC010046
;	MOVEA.L	A0,A1
;	ADDA.L	D0,A1
;	ADDA.L	D0,A0
;	MOVEA.L	(A1),A1
;	MOVE.L	4(A0),D0
;	MOVEA.L	4,A6
;	JSR	-$D2(A6)
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL010244,A0
;	ADDA.L	D0,A0
;	CLR.W	8(A0)
;lbC010046	MOVEM.L	(SP)+,D7/A6
;	RTS

;lbC01004C	MOVE.L	D7,-(SP)
;	MOVEQ	#0,D7
;lbC010050	MOVEQ	#6,D0
;	CMP.W	D0,D7
;	BGE.S	lbC01006E
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ADD.L	D0,D0
;	LEA	lbW010210,A0
;	ADDA.L	D0,A0
;	MOVE.W	(A0),-(SP)
;	BSR.S	lbC010002
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D7
;	BRA.S	lbC010050

;lbC01006E	MOVE.L	(SP)+,D7
;	RTS

EndPlay
lbC010072	JSR	lbC0101BA(PC)
	MOVEQ	#-1,D0
	MOVE.W	D0,lbW0108B0
	CMP.W	lbW0108B2,D0
	BNE.S	lbC010098
	CLR.W	lbW0108B2
	JSR	lbC0101CC(PC)
	CLR.W	-(SP)
	JSR	lbC0101B4(PC)
	ADDQ.W	#2,SP
lbC010098
;	BSR.S	lbC01004C
	RTS

;lbC01009C	MOVEM.L	D2/D3/D6/D7/A3/A6,-(SP)
;	MOVE.W	$1C(SP),D7
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL010244,A0
;	ADDA.L	D0,A0
;	TST.W	8(A0)
;	BNE.L	lbC01015E
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ASL.L	#2,D0
;	LEA	lbL0101F8,A0
;	ADDA.L	D0,A0
;	MOVE.L	(A0),D1
;	MOVE.L	#$3ED,D2
;	MOVEA.L	lbL034594,A6
;	JSR	-$1E(A6)
;	MOVE.L	D0,D6
;	TST.L	D6
;	BNE.S	lbC0100FE
;	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL010244,A0
;	ADDA.L	D0,A0
;	CLR.W	8(A0)
;	BSR.L	lbC010072
;	MOVE.W	D7,-(SP)
;	JSR	lbC0101C6(PC)
;	ADDQ.W	#2,SP
;lbC0100FE	MOVE.L	D7,D0
;	MULS.W	#10,D0
;	LEA	lbL010244,A0
;	ADDA.L	D0,A0
;	MOVEA.L	A0,A3
;	LEA	4(A3),A0
;	MOVE.L	D6,D1
;	MOVE.L	A0,D2
;	MOVEQ	#4,D3
;	MOVEA.L	lbL034594,A6
;	JSR	-$2A(A6)
;	MOVE.L	4(A3),D0
;	MOVEQ	#2,D1
;	MOVEA.L	4,A6
;	JSR	-$C6(A6)
;	MOVE.L	D0,(A3)
;	BNE.S	lbC010140
;	CLR.W	8(A3)
;	MOVE.W	D7,-(SP)
;	JSR	lbC0101C6(PC)
;	ADDQ.W	#2,SP
;lbC010140	MOVE.L	D6,D1
;	MOVE.L	(A3),D2
;	MOVE.L	4(A3),D3
;	MOVEA.L	lbL034594,A6
;	JSR	-$2A(A6)
;	MOVE.L	D6,D1
;	JSR	-$24(A6)
;	MOVE.W	#$FFFF,8(A3)
;lbC01015E	MOVEM.L	(SP)+,D2/D3/D6/D7/A3/A6
;	RTS

;lbC010164	MOVE.L	D7,-(SP)
;	MOVEQ	#0,D7
;lbC010168	MOVEQ	#6,D0
;	CMP.W	D0,D7
;	BGE.S	lbC010188
;	MOVE.L	D7,D0
;	EXT.L	D0
;	ADD.L	D0,D0
;	LEA	lbW010210,A0
;	ADDA.L	D0,A0
;	MOVE.W	(A0),-(SP)
;	BSR.L	lbC01009C
;	ADDQ.W	#2,SP
;	ADDQ.W	#1,D7
;	BRA.S	lbC010168

;lbC010188	MOVE.L	(SP)+,D7
;	RTS

InitPlay
lbC01018C	MOVE.W	#$FFFF,lbW0108B0
	TST.W	lbW0108B2
	BNE.S	lbC0101A8
	JSR	lbC0101C0(PC)
	MOVE.W	#$FFFF,lbW0108B2
lbC0101A8
;	BSR.S	lbC010164
	CLR.W	lbW0108B0
	RTS

;	dc.w	0

lbC0101B4	JMP	lbC00FB98

lbC0101BA	JMP	lbC010806

lbC0101C0	JMP	lbC00F998

;lbC0101C6	JMP	lbC00218C

lbC0101CC	JMP	lbC00FDA0

lbC0101D2	JMP	lbC010850

lbC0101D8	JMP	lbC00FC32

;	MOVEQ	#$61,D0

;	SECTION	tankst0101E0,DATA
;ix.MSG	dc.b	'i.x',0
;jx.MSG	dc.b	'j.x',0
;kx.MSG	dc.b	'k.x',0
;ax.MSG	dc.b	'a.x',0
;bx.MSG	dc.b	'b.x',0
;cx.MSG	dc.b	'c.x',0
;lbL0101F8	dc.l	ix.MSG
;	dc.l	jx.MSG
;	dc.l	kx.MSG
;	dc.l	ax.MSG
;	dc.l	bx.MSG
;	dc.l	cx.MSG
;lbW010210	dc.w	0
;	dc.w	2
;	dc.w	1
;	dc.w	3
;	dc.w	4
;	dc.w	5
lbL01021C	dc.l	lbC010806
	dc.l	lbC00FEB8
	dc.l	lbC00FE7C
	dc.l	lbC00FE40
	dc.l	lbC00FEF4
	dc.l	lbC00FF38
	dc.l	lbC00FF4A
	dc.l	lbC00FF5A
	dc.l	lbC00FF70
	dc.l	lbC00FF16

;	SECTION	tankst010244,BSS
lbL010244
	dc.l	Samp01+4
	dc.l	$E40
	dc.w	-1
	dc.l	Samp02+4
	dc.l	$400
	dc.w	-1
	dc.l	Samp03+4
	dc.l	$410
	dc.w	-1
	dc.l	Samp04+4
	dc.l	8
	dc.w	-1
	dc.l	Samp05+4
	dc.l	$1724
	dc.w	-1
	dc.l	Samp06+4
	dc.l	$380
	dc.w	-1

;	SECTION	tankst010280,DATA
lbL010280	dc.l	$FFFB0003
	dc.l	$FFF60037
	dc.l	$FFF8FFC9
	dc.l	$70097
	dc.l	$40086
	dc.l	$11008E
	dc.l	$4007F
	dc.l	$2500A0
	dc.l	$5008E
	dc.l	$25FFFC
lbL0102A8	dc.l	$FFFB0002
	dc.l	$FFF8FFFB
	dc.l	$10E20
	dc.l	$80E20
	dc.l	$10FFFE
	dc.l	$10E20
	dc.l	$80E20
	dc.l	$80E20
	dc.l	$8FFFC
lbL0102CC	dc.l	$FFFB0002
	dc.l	$FFF8FFFF
	dc.l	$10F00
	dc.l	$300780
	dc.l	$300F00
	dc.l	$300780
	dc.l	$3003C0
	dc.l	$300780
	dc.l	$30FFF8
	dc.l	$FFF60001
	dc.l	$FFFE0000
	dc.l	$8600008
	dc.l	$9700008
	dc.l	$B400008
	dc.l	$8600010
	dc.l	$9700010
	dc.l	$B400008
	dc.l	$8600008
	dc.l	$9700008
	dc.l	$B400010
	dc.l	$FFFE0001
	dc.l	$4300008
	dc.l	$4B80008
	dc.l	$5A00008
	dc.l	$4300010
	dc.l	$4B80010
	dc.l	$5A00008
	dc.l	$4300008
	dc.l	$4B80008
	dc.l	$5A00010
	dc.l	$FFFE0001
	dc.w	$FFF5
lbL01034A	dc.l	$FFFB0002
	dc.l	$FFF8FFFF
	dc.l	$10780
	dc.l	$600F00
	dc.l	$30FFFE
	dc.l	$780
	dc.l	$30FFFE
	dc.l	$FFFF5
lbL01036A	dc.l	$FFFB0002
	dc.l	$FFF8FFE2
	dc.l	$6FFFE
	dc.l	$780
	dc.l	$80F00
	dc.l	$8FFFB
	dc.l	$30097
	dc.l	$3008E
	dc.l	$5FFFB
	dc.l	$20F00
	dc.l	$8FFFE
	dc.l	$206B0
	dc.l	$30650
	dc.l	$50780
	dc.l	$806B0
	dc.l	$80780
	dc.l	$8FFFC
lbL0103AE	dc.l	$FFFB0001
	dc.l	$FFFE0000
	dc.l	$14000060
	dc.l	$10C00010
	dc.l	$11C00010
	dc.l	$FFFE0001
	dc.l	$14000060
	dc.l	$8600010
	dc.l	$8E00010
	dc.l	$A000060
	dc.l	$10C00010
	dc.l	$11C00010
	dc.l	$14000040
	dc.w	$FFF5
lbL0103E4	dc.l	$FFFB0002
	dc.l	$FFF8FFFF
	dc.l	$10F00
	dc.l	$400F00
	dc.l	$200CA0
	dc.l	$100D60
	dc.l	$10FFFC
lbL010400	dc.l	$FFFB0002
	dc.l	$F000040
	dc.l	$FFF8FFFA
	dc.l	$1FFFE
	dc.l	$780
	dc.l	$80F00
	dc.l	$803C0
	dc.l	$80F00
	dc.l	$8FFFE
	dc.l	$FAFFF5
lbL010428	dc.l	$FFFB0001
	dc.l	$FFF8FFFF
	dc.l	$1FFFE
	dc.l	$D60
	dc.l	$40CA0
	dc.l	$C0F00
	dc.l	$100BE0
	dc.l	$100F00
	dc.l	$50FFFE
	dc.l	$10D60
	dc.l	$40CA0
	dc.l	$C0F00
	dc.l	$10FFFB
	dc.l	$305F0
	dc.l	$1005A0
	dc.l	$200548
	dc.l	$2005A0
	dc.l	$2005F0
	dc.l	$200650
	dc.l	$500970
	dc.l	$408E0
	dc.l	$C0A00
	dc.l	$100860
	dc.l	$100A00
	dc.l	$50FFFE
	dc.l	$7F0
	dc.l	$40780
	dc.l	$C0A90
	dc.l	$200B40
	dc.l	$200CA0
	dc.l	$200F00
	dc.l	$10FFF6
	dc.l	$23FFFE
	dc.l	$1FFF6
	dc.l	$37FFF8
	dc.l	$FFF50001
	dc.l	$F00008
	dc.l	$F00008
	dc.l	$F00030
	dc.l	$FFFE0001
	dc.w	$FFFC
lbL0104CA	dc.l	$FFFB0001
	dc.l	$FFFE0000
	dc.l	$FFF8FFFF
	dc.l	$10D60
	dc.l	$40CA0
	dc.l	$C0F00
	dc.l	$100BE0
	dc.l	$100F00
	dc.l	$50FFFE
	dc.l	$1FFF6
	dc.l	$3906B0
	dc.l	$40650
	dc.l	$C0780
	dc.l	$1005F0
	dc.l	$10FFF8
	dc.l	$FFFD0001
	dc.l	$5A00020
	dc.l	$5480020
	dc.l	$5A00020
	dc.l	$5F00020
	dc.l	$6500050
	dc.l	$9700004
	dc.l	$470000C
	dc.l	$5000010
	dc.l	$4300010
	dc.l	$5000050
	dc.l	$3F80004
	dc.l	$3C0000C
	dc.l	$5480020
	dc.l	$5A00020
	dc.l	$6500020
	dc.l	$7800010
	dc.l	$FFF6002C
	dc.l	$FFFE0000
	dc.l	$FE00004
	dc.l	$780000C
	dc.l	$5480020
	dc.l	$5A00020
	dc.l	$6500020
	dc.l	$7800010
	dc.l	$FFF6001E
	dc.l	$FFFE0001
	dc.w	$FFFC
lbL010574	dc.l	$FFFB0002
	dc.l	$F000008
	dc.l	$1E000038
	dc.l	$FFF60037
	dc.l	$FFF8FFFF
	dc.l	$4FFFE
	dc.l	$F00
	dc.l	$81E00
	dc.l	$80780
	dc.l	$81E00
	dc.l	$8FFFE
	dc.l	$FAFFF5
lbL0105A4	dc.l	$FFFB0000
	dc.l	$258001E
lbL0105AC	dc.l	$FFFB0004
	dc.l	$2A6003B
	dc.w	$FFF5
lbL0105B6	dc.l	$FFFB0003
	dc.l	$FFF8FFFF
	dc.l	$5FFFA
	dc.l	$100C8
	dc.l	$122FFF5
lbL0105CA	dc.l	$FFFB0005
	dc.l	$FFF60003
	dc.l	$FFF80001
	dc.l	$30238
	dc.w	$B4
lbL0105DC	dc.l	$FFFB0005
	dc.l	$FFF6003F
	dc.l	$FFF8FFFF
	dc.l	$30238
	dc.l	$B4FFF5
lbL0105F0	dc.l	$FFFB0002
	dc.l	$8A60002
	dc.w	$FFF5
lbL0105FA	dc.l	$FFFB0002
	dc.l	$90C0002
	dc.w	$FFF5

;	SECTION	tankst010604,CODE
lbC010604	MOVEM.L	D7/A2/A3,-(SP)
	MOVE.W	$10(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL0108B4,A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	TST.W	(A2)
	BNE.S	lbC010632
	MOVE.W	D7,-(SP)
	CLR.W	-(SP)
	MOVEQ	#-1,D0
	MOVE.W	D0,-(SP)
	JSR	lbC0108A8(PC)
	ADDQ.W	#6,SP
	BRA.L	lbC0107C8

lbC010632	SUBQ.W	#1,(A2)
	BGT.L	lbC010780
	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
lbC010646	MOVE.W	(A3),D0
	TST.W	D0
	BPL.L	lbC010756
	MOVEA.L	A3,A0
	ADDQ.L	#2,A3
	MOVE.W	(A0),D0
	SUBI.W	#$FFF5,D0
	BLT.S	lbC010646
	CMPI.W	#10,D0
	BGE.S	lbC010646
	ADD.W	D0,D0
	MOVE.W	lbW01066A(PC,D0.W),D0
	JMP	lbW01066C(PC,D0.W)

lbW01066A	dc.w	lbC010740-lbW01066C
lbW01066C	dc.w	lbC010688-lbW01066C
	dc.w	lbC010646-lbW01066C
	dc.w	lbC0106A0-lbW01066C
	dc.w	lbC010646-lbW01066C
	dc.w	lbC010696-lbW01066C
	dc.w	lbC01067E-lbW01066C
	dc.w	lbC010706-lbW01066C
	dc.w	lbC010646-lbW01066C
	dc.w	lbC0106AE-lbW01066C

lbC01067E	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,2(A2)
	BRA.S	lbC010646

lbC010688	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3),10(A2)
	MOVE.W	(A3)+,8(A2)
	BRA.S	lbC010646

lbC010696	ADDQ.L	#2,$18(A2)
	MOVE.W	(A3)+,6(A2)
	BRA.S	lbC010646

lbC0106A0	ADDQ.L	#3,$18(A2)
	MOVE.W	(A3)+,12(A2)
	MOVE.W	(A3)+,$10(A2)
	BRA.S	lbC010646

lbC0106AE	TST.W	(A3)
	BNE.S	lbC0106C2
	ADDQ.L	#2,A3
	ADDQ.L	#2,$18(A2)
	MOVE.L	$18(A2),D0
	MOVE.L	D0,$1C(A2)
	BRA.S	lbC010646

lbC0106C2	TST.W	$12(A2)
	BNE.S	lbC0106D8
	MOVE.W	(A3),D0
	MOVE.W	D0,$12(A2)
	MOVE.L	$1C(A2),D1
	MOVE.L	D1,$18(A2)
	BRA.S	lbC0106F4

lbC0106D8	SUBQ.W	#1,$12(A2)
	BNE.S	lbC0106EC
	ADDQ.L	#2,$18(A2)
	MOVE.L	$18(A2),D0
	MOVE.L	D0,$1C(A2)
	BRA.S	lbC0106F4

lbC0106EC	MOVE.L	$1C(A2),D0
	MOVE.L	D0,$18(A2)
lbC0106F4	MOVE.L	$18(A2),D0
	ADD.L	D0,D0
	MOVEA.L	$14(A2),A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A3
	BRA.L	lbC010646

lbC010706	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL0108B4,A0
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEA.L	$14(A1),A3
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEQ	#0,D1
	MOVE.L	D1,$18(A1)
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVE.L	D1,$1C(A1)
	MOVEA.L	A0,A1
	ADDA.L	D0,A1
	MOVEQ	#0,D1
	MOVE.W	D1,12(A1)
	ADDA.L	D0,A0
	MOVE.W	D1,6(A0)
	BRA.L	lbC010646

lbC010740	MOVEQ	#0,D0
	MOVE.W	D0,(A2)
	MOVE.W	D0,8(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D7,-(SP)
	JSR	lbC01089C(PC)
	ADDQ.W	#2,SP
	BRA.S	lbC0107C8

lbC010756	MOVE.W	(A3)+,D0
	MOVE.W	D0,4(A2)
	MOVE.W	(A3),(A2)
	MOVE.W	10(A2),D0
	MOVE.W	D0,8(A2)
	ADDQ.L	#2,$18(A2)
	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	MOVE.W	2(A2),-(SP)
	JSR	lbC0108A2(PC)
	ADDQ.W	#8,SP
	BRA.S	lbC0107C8

lbC010780	MOVE.W	6(A2),D0
	ADD.W	D0,4(A2)
	CMPI.W	#$7C,4(A2)
	BGE.S	lbC010796
	MOVEQ	#$7C,D0
	MOVE.W	D0,4(A2)
lbC010796	TST.W	$10(A2)
	BEQ.S	lbC0107B8
	SUBQ.W	#1,14(A2)
	BGT.S	lbC0107B8
	MOVE.W	$10(A2),14(A2)
	MOVE.W	12(A2),D0
	ADD.W	D0,8(A2)
	BGT.S	lbC0107B8
	MOVEQ	#0,D0
	MOVE.W	D0,8(A2)
lbC0107B8	MOVE.W	D7,-(SP)
	MOVE.W	8(A2),-(SP)
	MOVE.W	4(A2),-(SP)
	JSR	lbC0108A8(PC)
	ADDQ.W	#6,SP
lbC0107C8	MOVEM.L	(SP)+,D7/A2/A3
	RTS

Play
lbC0107CE	TST.W	lbW0108B0
	BNE.S	lbC010804
	MOVE.W	#$FFFF,lbW0108B0
	CLR.W	-(SP)
	BSR.L	lbC010604
	MOVEQ	#1,D0
	MOVE.W	D0,-(SP)
	BSR.L	lbC010604
	MOVEQ	#3,D0
	MOVE.W	D0,(SP)
	BSR.L	lbC010604
	MOVEQ	#2,D0
	MOVE.W	D0,(SP)
	BSR.L	lbC010604
	ADDQ.W	#4,SP
	CLR.W	lbW0108B0
lbC010804	RTS

Init_1
lbC010806	MOVEM.L	D6/D7,-(SP)
	MOVE.W	lbW0108B0,D6
	MOVE.W	#$FFFF,lbW0108B0
	MOVEQ	#0,D7
lbC01081A	MOVEQ	#4,D0
	CMP.W	D0,D7
	BGE.S	lbC010844
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL0108B4,A0
	ADDA.L	D0,A0
	MOVEQ	#0,D0
	MOVE.W	D0,(A0)
	MOVE.W	D7,-(SP)
	MOVE.W	D0,-(SP)
	MOVEQ	#$7C,D1
	MOVE.W	D1,-(SP)
	JSR	lbC0108A8(PC)
	ADDQ.W	#6,SP
	ADDQ.W	#1,D7
	BRA.S	lbC01081A

lbC010844	MOVE.W	D6,lbW0108B0
	MOVEM.L	(SP)+,D6/D7
	RTS

lbC010850	MOVEM.L	D7/A2/A3,-(SP)
	MOVEA.L	$10(SP),A3
	MOVE.W	$14(SP),D7
	MOVE.L	D7,D0
	EXT.L	D0
	ASL.L	#5,D0
	LEA	lbL0108B4,A0
	ADDA.L	D0,A0
	MOVEA.L	A0,A2
	MOVE.L	A3,$14(A2)
	MOVE.W	#$3F,10(A2)
	MOVEQ	#0,D0
	MOVE.L	D0,$18(A2)
	MOVE.L	D0,$1C(A2)
	MOVEQ	#0,D0
	MOVE.W	D0,$12(A2)
	MOVE.W	D0,6(A2)
	MOVE.W	D0,12(A2)
	MOVE.W	D0,$10(A2)
	MOVE.W	#1,(A2)
	MOVEM.L	(SP)+,D7/A2/A3
	RTS

lbC01089C	JMP	lbC00FD52

lbC0108A2	JMP	lbC00FC84

lbC0108A8	JMP	lbC00FC32

;	MOVEQ	#$61,D0

;	SECTION	tankst0108B0,DATA
lbW0108B0	dc.w	$FFFF
lbW0108B2	dc.w	0

;	SECTION	tankst0108B4,BSS
lbL0108B4	ds.l	$20
lbW010934	ds.w	2

Buffy
	ds.b	$330
Buffy1
	ds.b	$22
Buffy2
	ds.b	$22*4

Samp01
	incbin	ram:i.x
Samp02
	incbin	ram:j.x
Samp03
	incbin	ram:k.x
Samp04
	incbin	ram:a.x
Samp05
	incbin	ram:b.x
Samp06
	incbin	ram:c.x
M1_End
